curl --request GET \
--url https://api.projectcor.com/v1/projects/{project_id}/ratecard \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.projectcor.com/v1/projects/{project_id}/ratecard"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.projectcor.com/v1/projects/{project_id}/ratecard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.projectcor.com/v1/projects/{project_id}/ratecard';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.projectcor.com/v1/projects/{project_id}/ratecard",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.projectcor.com/v1/projects/{project_id}/ratecard"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": 123,
"name": "<string>",
"original_name": "<string>",
"percent": 123,
"company_id": 123,
"system": true,
"currency_id": 123,
"linked_to_base_price": true,
"external_key": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
}Get project ratecard
Returns the ratecard currently assigned to the project, or null if none is assigned. The ratecard defines pricing configurations (positions, rates, custom percentages) used when estimated_by_hourly_rates is enabled.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Ratecard assigned to the project (or null)
A ratecard defines pricing configurations for the company
Unique identifier for the ratecard
Display name of the ratecard
Original/system name of the ratecard
Percentage applied by this ratecard
Company ID that owns this ratecard
Whether this is a system-generated ratecard
Associated currency ID. Defaults to the system's base currency if not specified.
Whether the ratecard is calculated based on base price
External key for integration with external systems
Creation timestamp
Last update timestamp
Deletion timestamp (soft delete)
Was this page helpful?

